Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getFirmwareUpgrades({
networkId: "string",
});
export const merakiNetworksFirmwareUpgradesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_firmware_upgrades(network_id="string")
pulumi.export("merakiNetworksFirmwareUpgradesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupFirmwareUpgrades(ctx, &networks.LookupFirmwareUpgradesArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksFirmwareUpgradesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetFirmwareUpgrades.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksFirmwareUpgradesExample"] = example.Apply(getFirmwareUpgradesResult => getFirmwareUpgradesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetFirmwareUpgradesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getFirmwareUpgrades(GetFirmwareUpgradesArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksFirmwareUpgradesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getFirmwareUpgrades
arguments:
networkId: string
outputs:
merakiNetworksFirmwareUpgradesExample: ${example.item}
Using getFirmwareUpgrades
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getFirmwareUpgrades(args: GetFirmwareUpgradesArgs, opts?: InvokeOptions): Promise<GetFirmwareUpgradesResult>
function getFirmwareUpgradesOutput(args: GetFirmwareUpgradesOutputArgs, opts?: InvokeOptions): Output<GetFirmwareUpgradesResult>def get_firmware_upgrades(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetFirmwareUpgradesResult
def get_firmware_upgrades_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetFirmwareUpgradesResult]func LookupFirmwareUpgrades(ctx *Context, args *LookupFirmwareUpgradesArgs, opts ...InvokeOption) (*LookupFirmwareUpgradesResult, error)
func LookupFirmwareUpgradesOutput(ctx *Context, args *LookupFirmwareUpgradesOutputArgs, opts ...InvokeOption) LookupFirmwareUpgradesResultOutput> Note: This function is named LookupFirmwareUpgrades in the Go SDK.
public static class GetFirmwareUpgrades
{
public static Task<GetFirmwareUpgradesResult> InvokeAsync(GetFirmwareUpgradesArgs args, InvokeOptions? opts = null)
public static Output<GetFirmwareUpgradesResult> Invoke(GetFirmwareUpgradesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetFirmwareUpgradesResult> getFirmwareUpgrades(GetFirmwareUpgradesArgs args, InvokeOptions options)
public static Output<GetFirmwareUpgradesResult> getFirmwareUpgrades(GetFirmwareUpgradesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getFirmwareUpgrades:getFirmwareUpgrades
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getFirmwareUpgrades Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Firmware Upgrades Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Firmware Upgrades Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Firmware Upgrades Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Firmware Upgrades Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Firmware Upgrades Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetFirmwareUpgradesItem
- Products
Get
Firmware Upgrades Item Products - The network devices to be updated
- Timezone string
- The timezone for the network
- Upgrade
Window GetFirmware Upgrades Item Upgrade Window - Upgrade window for devices in network
- Products
Get
Firmware Upgrades Item Products - The network devices to be updated
- Timezone string
- The timezone for the network
- Upgrade
Window GetFirmware Upgrades Item Upgrade Window - Upgrade window for devices in network
- products
Get
Firmware Upgrades Item Products - The network devices to be updated
- timezone String
- The timezone for the network
- upgrade
Window GetFirmware Upgrades Item Upgrade Window - Upgrade window for devices in network
- products
Get
Firmware Upgrades Item Products - The network devices to be updated
- timezone string
- The timezone for the network
- upgrade
Window GetFirmware Upgrades Item Upgrade Window - Upgrade window for devices in network
- products
Get
Firmware Upgrades Item Products - The network devices to be updated
- timezone str
- The timezone for the network
- upgrade_
window GetFirmware Upgrades Item Upgrade Window - Upgrade window for devices in network
- products Property Map
- The network devices to be updated
- timezone String
- The timezone for the network
- upgrade
Window Property Map - Upgrade window for devices in network
GetFirmwareUpgradesItemProducts
- Appliance
Get
Firmware Upgrades Item Products Appliance - The network device to be updated
- Camera
Get
Firmware Upgrades Item Products Camera - The network device to be updated
- Cellular
Gateway GetFirmware Upgrades Item Products Cellular Gateway - The network device to be updated
- Sensor
Get
Firmware Upgrades Item Products Sensor - The network device to be updated
- Switch
Get
Firmware Upgrades Item Products Switch - The network device to be updated
- Wireless
Get
Firmware Upgrades Item Products Wireless - The network device to be updated
- Appliance
Get
Firmware Upgrades Item Products Appliance - The network device to be updated
- Camera
Get
Firmware Upgrades Item Products Camera - The network device to be updated
- Cellular
Gateway GetFirmware Upgrades Item Products Cellular Gateway - The network device to be updated
- Sensor
Get
Firmware Upgrades Item Products Sensor - The network device to be updated
- Switch
Get
Firmware Upgrades Item Products Switch - The network device to be updated
- Wireless
Get
Firmware Upgrades Item Products Wireless - The network device to be updated
- appliance
Get
Firmware Upgrades Item Products Appliance - The network device to be updated
- camera
Get
Firmware Upgrades Item Products Camera - The network device to be updated
- cellular
Gateway GetFirmware Upgrades Item Products Cellular Gateway - The network device to be updated
- sensor
Get
Firmware Upgrades Item Products Sensor - The network device to be updated
- switch_
Get
Firmware Upgrades Item Products Switch - The network device to be updated
- wireless
Get
Firmware Upgrades Item Products Wireless - The network device to be updated
- appliance
Get
Firmware Upgrades Item Products Appliance - The network device to be updated
- camera
Get
Firmware Upgrades Item Products Camera - The network device to be updated
- cellular
Gateway GetFirmware Upgrades Item Products Cellular Gateway - The network device to be updated
- sensor
Get
Firmware Upgrades Item Products Sensor - The network device to be updated
- switch
Get
Firmware Upgrades Item Products Switch - The network device to be updated
- wireless
Get
Firmware Upgrades Item Products Wireless - The network device to be updated
- appliance
Get
Firmware Upgrades Item Products Appliance - The network device to be updated
- camera
Get
Firmware Upgrades Item Products Camera - The network device to be updated
- cellular_
gateway GetFirmware Upgrades Item Products Cellular Gateway - The network device to be updated
- sensor
Get
Firmware Upgrades Item Products Sensor - The network device to be updated
- switch
Get
Firmware Upgrades Item Products Switch - The network device to be updated
- wireless
Get
Firmware Upgrades Item Products Wireless - The network device to be updated
- appliance Property Map
- The network device to be updated
- camera Property Map
- The network device to be updated
- cellular
Gateway Property Map - The network device to be updated
- sensor Property Map
- The network device to be updated
- switch Property Map
- The network device to be updated
- wireless Property Map
- The network device to be updated
GetFirmwareUpgradesItemProductsAppliance
- Available
Versions List<GetFirmware Upgrades Item Products Appliance Available Version> - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Appliance Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Appliance Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Appliance Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- Available
Versions []GetFirmware Upgrades Item Products Appliance Available Version - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Appliance Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Appliance Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Appliance Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- available
Versions List<GetFirmware Upgrades Item Products Appliance Available Version> - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Appliance Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Appliance Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Appliance Next Upgrade - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
- available
Versions GetFirmware Upgrades Item Products Appliance Available Version[] - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Appliance Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Appliance Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Appliance Next Upgrade - Details of the next firmware upgrade on the device
- participate
In booleanNext Beta Release - Whether or not the network wants beta firmware
- available_
versions Sequence[GetFirmware Upgrades Item Products Appliance Available Version] - Firmware versions available for upgrade
- current_
version GetFirmware Upgrades Item Products Appliance Current Version - Details of the current version on the device
- last_
upgrade GetFirmware Upgrades Item Products Appliance Last Upgrade - Details of the last firmware upgrade on the device
- next_
upgrade GetFirmware Upgrades Item Products Appliance Next Upgrade - Details of the next firmware upgrade on the device
- participate_
in_ boolnext_ beta_ release - Whether or not the network wants beta firmware
- available
Versions List<Property Map> - Firmware versions available for upgrade
- current
Version Property Map - Details of the current version on the device
- last
Upgrade Property Map - Details of the last firmware upgrade on the device
- next
Upgrade Property Map - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
GetFirmwareUpgradesItemProductsApplianceAvailableVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsApplianceCurrentVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsApplianceLastUpgrade
- From
Version GetFirmware Upgrades Item Products Appliance Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Appliance Last Upgrade To Version - Details of the version the device upgraded to
- From
Version GetFirmware Upgrades Item Products Appliance Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Appliance Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Appliance Last Upgrade From Version - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Appliance Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Appliance Last Upgrade From Version - Details of the version the device upgraded from
- time string
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Appliance Last Upgrade To Version - Details of the version the device upgraded to
- from_
version GetFirmware Upgrades Item Products Appliance Last Upgrade From Version - Details of the version the device upgraded from
- time str
- Timestamp of the last successful firmware upgrade
- to_
version GetFirmware Upgrades Item Products Appliance Last Upgrade To Version - Details of the version the device upgraded to
- from
Version Property Map - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version Property Map - Details of the version the device upgraded to
GetFirmwareUpgradesItemProductsApplianceLastUpgradeFromVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsApplianceLastUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsApplianceNextUpgrade
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Appliance Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Appliance Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Appliance Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time string
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Appliance Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time str
- Timestamp of the next scheduled firmware upgrade
- to_
version GetFirmware Upgrades Item Products Appliance Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version Property Map - Details of the version the device will upgrade to if it exists
GetFirmwareUpgradesItemProductsApplianceNextUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCamera
- Available
Versions List<GetFirmware Upgrades Item Products Camera Available Version> - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Camera Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Camera Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Camera Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- Available
Versions []GetFirmware Upgrades Item Products Camera Available Version - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Camera Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Camera Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Camera Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- available
Versions List<GetFirmware Upgrades Item Products Camera Available Version> - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Camera Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Camera Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Camera Next Upgrade - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
- available
Versions GetFirmware Upgrades Item Products Camera Available Version[] - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Camera Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Camera Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Camera Next Upgrade - Details of the next firmware upgrade on the device
- participate
In booleanNext Beta Release - Whether or not the network wants beta firmware
- available_
versions Sequence[GetFirmware Upgrades Item Products Camera Available Version] - Firmware versions available for upgrade
- current_
version GetFirmware Upgrades Item Products Camera Current Version - Details of the current version on the device
- last_
upgrade GetFirmware Upgrades Item Products Camera Last Upgrade - Details of the last firmware upgrade on the device
- next_
upgrade GetFirmware Upgrades Item Products Camera Next Upgrade - Details of the next firmware upgrade on the device
- participate_
in_ boolnext_ beta_ release - Whether or not the network wants beta firmware
- available
Versions List<Property Map> - Firmware versions available for upgrade
- current
Version Property Map - Details of the current version on the device
- last
Upgrade Property Map - Details of the last firmware upgrade on the device
- next
Upgrade Property Map - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
GetFirmwareUpgradesItemProductsCameraAvailableVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCameraCurrentVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCameraLastUpgrade
- From
Version GetFirmware Upgrades Item Products Camera Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Camera Last Upgrade To Version - Details of the version the device upgraded to
- From
Version GetFirmware Upgrades Item Products Camera Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Camera Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Camera Last Upgrade From Version - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Camera Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Camera Last Upgrade From Version - Details of the version the device upgraded from
- time string
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Camera Last Upgrade To Version - Details of the version the device upgraded to
- from_
version GetFirmware Upgrades Item Products Camera Last Upgrade From Version - Details of the version the device upgraded from
- time str
- Timestamp of the last successful firmware upgrade
- to_
version GetFirmware Upgrades Item Products Camera Last Upgrade To Version - Details of the version the device upgraded to
- from
Version Property Map - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version Property Map - Details of the version the device upgraded to
GetFirmwareUpgradesItemProductsCameraLastUpgradeFromVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCameraLastUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCameraNextUpgrade
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Camera Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Camera Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Camera Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time string
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Camera Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time str
- Timestamp of the next scheduled firmware upgrade
- to_
version GetFirmware Upgrades Item Products Camera Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version Property Map - Details of the version the device will upgrade to if it exists
GetFirmwareUpgradesItemProductsCameraNextUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCellularGateway
- Available
Versions List<GetFirmware Upgrades Item Products Cellular Gateway Available Version> - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Cellular Gateway Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- Available
Versions []GetFirmware Upgrades Item Products Cellular Gateway Available Version - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Cellular Gateway Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- available
Versions List<GetFirmware Upgrades Item Products Cellular Gateway Available Version> - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Cellular Gateway Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
- available
Versions GetFirmware Upgrades Item Products Cellular Gateway Available Version[] - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Cellular Gateway Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade - Details of the next firmware upgrade on the device
- participate
In booleanNext Beta Release - Whether or not the network wants beta firmware
- available_
versions Sequence[GetFirmware Upgrades Item Products Cellular Gateway Available Version] - Firmware versions available for upgrade
- current_
version GetFirmware Upgrades Item Products Cellular Gateway Current Version - Details of the current version on the device
- last_
upgrade GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade - Details of the last firmware upgrade on the device
- next_
upgrade GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade - Details of the next firmware upgrade on the device
- participate_
in_ boolnext_ beta_ release - Whether or not the network wants beta firmware
- available
Versions List<Property Map> - Firmware versions available for upgrade
- current
Version Property Map - Details of the current version on the device
- last
Upgrade Property Map - Details of the last firmware upgrade on the device
- next
Upgrade Property Map - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
GetFirmwareUpgradesItemProductsCellularGatewayAvailableVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCellularGatewayCurrentVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCellularGatewayLastUpgrade
- From
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade To Version - Details of the version the device upgraded to
- From
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade From Version - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade From Version - Details of the version the device upgraded from
- time string
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade To Version - Details of the version the device upgraded to
- from_
version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade From Version - Details of the version the device upgraded from
- time str
- Timestamp of the last successful firmware upgrade
- to_
version GetFirmware Upgrades Item Products Cellular Gateway Last Upgrade To Version - Details of the version the device upgraded to
- from
Version Property Map - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version Property Map - Details of the version the device upgraded to
GetFirmwareUpgradesItemProductsCellularGatewayLastUpgradeFromVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCellularGatewayLastUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsCellularGatewayNextUpgrade
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time string
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time str
- Timestamp of the next scheduled firmware upgrade
- to_
version GetFirmware Upgrades Item Products Cellular Gateway Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version Property Map - Details of the version the device will upgrade to if it exists
GetFirmwareUpgradesItemProductsCellularGatewayNextUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSensor
- Available
Versions List<GetFirmware Upgrades Item Products Sensor Available Version> - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Sensor Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Sensor Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Sensor Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- Available
Versions []GetFirmware Upgrades Item Products Sensor Available Version - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Sensor Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Sensor Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Sensor Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- available
Versions List<GetFirmware Upgrades Item Products Sensor Available Version> - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Sensor Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Sensor Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Sensor Next Upgrade - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
- available
Versions GetFirmware Upgrades Item Products Sensor Available Version[] - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Sensor Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Sensor Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Sensor Next Upgrade - Details of the next firmware upgrade on the device
- participate
In booleanNext Beta Release - Whether or not the network wants beta firmware
- available_
versions Sequence[GetFirmware Upgrades Item Products Sensor Available Version] - Firmware versions available for upgrade
- current_
version GetFirmware Upgrades Item Products Sensor Current Version - Details of the current version on the device
- last_
upgrade GetFirmware Upgrades Item Products Sensor Last Upgrade - Details of the last firmware upgrade on the device
- next_
upgrade GetFirmware Upgrades Item Products Sensor Next Upgrade - Details of the next firmware upgrade on the device
- participate_
in_ boolnext_ beta_ release - Whether or not the network wants beta firmware
- available
Versions List<Property Map> - Firmware versions available for upgrade
- current
Version Property Map - Details of the current version on the device
- last
Upgrade Property Map - Details of the last firmware upgrade on the device
- next
Upgrade Property Map - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
GetFirmwareUpgradesItemProductsSensorAvailableVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSensorCurrentVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSensorLastUpgrade
- From
Version GetFirmware Upgrades Item Products Sensor Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Sensor Last Upgrade To Version - Details of the version the device upgraded to
- From
Version GetFirmware Upgrades Item Products Sensor Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Sensor Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Sensor Last Upgrade From Version - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Sensor Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Sensor Last Upgrade From Version - Details of the version the device upgraded from
- time string
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Sensor Last Upgrade To Version - Details of the version the device upgraded to
- from_
version GetFirmware Upgrades Item Products Sensor Last Upgrade From Version - Details of the version the device upgraded from
- time str
- Timestamp of the last successful firmware upgrade
- to_
version GetFirmware Upgrades Item Products Sensor Last Upgrade To Version - Details of the version the device upgraded to
- from
Version Property Map - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version Property Map - Details of the version the device upgraded to
GetFirmwareUpgradesItemProductsSensorLastUpgradeFromVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSensorLastUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSensorNextUpgrade
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Sensor Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Sensor Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Sensor Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time string
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Sensor Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time str
- Timestamp of the next scheduled firmware upgrade
- to_
version GetFirmware Upgrades Item Products Sensor Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version Property Map - Details of the version the device will upgrade to if it exists
GetFirmwareUpgradesItemProductsSensorNextUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSwitch
- Available
Versions List<GetFirmware Upgrades Item Products Switch Available Version> - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Switch Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Switch Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Switch Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- Available
Versions []GetFirmware Upgrades Item Products Switch Available Version - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Switch Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Switch Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Switch Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- available
Versions List<GetFirmware Upgrades Item Products Switch Available Version> - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Switch Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Switch Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Switch Next Upgrade - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
- available
Versions GetFirmware Upgrades Item Products Switch Available Version[] - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Switch Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Switch Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Switch Next Upgrade - Details of the next firmware upgrade on the device
- participate
In booleanNext Beta Release - Whether or not the network wants beta firmware
- available_
versions Sequence[GetFirmware Upgrades Item Products Switch Available Version] - Firmware versions available for upgrade
- current_
version GetFirmware Upgrades Item Products Switch Current Version - Details of the current version on the device
- last_
upgrade GetFirmware Upgrades Item Products Switch Last Upgrade - Details of the last firmware upgrade on the device
- next_
upgrade GetFirmware Upgrades Item Products Switch Next Upgrade - Details of the next firmware upgrade on the device
- participate_
in_ boolnext_ beta_ release - Whether or not the network wants beta firmware
- available
Versions List<Property Map> - Firmware versions available for upgrade
- current
Version Property Map - Details of the current version on the device
- last
Upgrade Property Map - Details of the last firmware upgrade on the device
- next
Upgrade Property Map - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
GetFirmwareUpgradesItemProductsSwitchAvailableVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSwitchCurrentVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSwitchLastUpgrade
- From
Version GetFirmware Upgrades Item Products Switch Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Switch Last Upgrade To Version - Details of the version the device upgraded to
- From
Version GetFirmware Upgrades Item Products Switch Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Switch Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Switch Last Upgrade From Version - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Switch Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Switch Last Upgrade From Version - Details of the version the device upgraded from
- time string
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Switch Last Upgrade To Version - Details of the version the device upgraded to
- from_
version GetFirmware Upgrades Item Products Switch Last Upgrade From Version - Details of the version the device upgraded from
- time str
- Timestamp of the last successful firmware upgrade
- to_
version GetFirmware Upgrades Item Products Switch Last Upgrade To Version - Details of the version the device upgraded to
- from
Version Property Map - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version Property Map - Details of the version the device upgraded to
GetFirmwareUpgradesItemProductsSwitchLastUpgradeFromVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSwitchLastUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsSwitchNextUpgrade
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Switch Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Switch Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Switch Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time string
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Switch Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time str
- Timestamp of the next scheduled firmware upgrade
- to_
version GetFirmware Upgrades Item Products Switch Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version Property Map - Details of the version the device will upgrade to if it exists
GetFirmwareUpgradesItemProductsSwitchNextUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsWireless
- Available
Versions List<GetFirmware Upgrades Item Products Wireless Available Version> - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Wireless Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Wireless Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Wireless Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- Available
Versions []GetFirmware Upgrades Item Products Wireless Available Version - Firmware versions available for upgrade
- Current
Version GetFirmware Upgrades Item Products Wireless Current Version - Details of the current version on the device
- Last
Upgrade GetFirmware Upgrades Item Products Wireless Last Upgrade - Details of the last firmware upgrade on the device
- Next
Upgrade GetFirmware Upgrades Item Products Wireless Next Upgrade - Details of the next firmware upgrade on the device
- Participate
In boolNext Beta Release - Whether or not the network wants beta firmware
- available
Versions List<GetFirmware Upgrades Item Products Wireless Available Version> - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Wireless Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Wireless Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Wireless Next Upgrade - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
- available
Versions GetFirmware Upgrades Item Products Wireless Available Version[] - Firmware versions available for upgrade
- current
Version GetFirmware Upgrades Item Products Wireless Current Version - Details of the current version on the device
- last
Upgrade GetFirmware Upgrades Item Products Wireless Last Upgrade - Details of the last firmware upgrade on the device
- next
Upgrade GetFirmware Upgrades Item Products Wireless Next Upgrade - Details of the next firmware upgrade on the device
- participate
In booleanNext Beta Release - Whether or not the network wants beta firmware
- available_
versions Sequence[GetFirmware Upgrades Item Products Wireless Available Version] - Firmware versions available for upgrade
- current_
version GetFirmware Upgrades Item Products Wireless Current Version - Details of the current version on the device
- last_
upgrade GetFirmware Upgrades Item Products Wireless Last Upgrade - Details of the last firmware upgrade on the device
- next_
upgrade GetFirmware Upgrades Item Products Wireless Next Upgrade - Details of the next firmware upgrade on the device
- participate_
in_ boolnext_ beta_ release - Whether or not the network wants beta firmware
- available
Versions List<Property Map> - Firmware versions available for upgrade
- current
Version Property Map - Details of the current version on the device
- last
Upgrade Property Map - Details of the last firmware upgrade on the device
- next
Upgrade Property Map - Details of the next firmware upgrade on the device
- participate
In BooleanNext Beta Release - Whether or not the network wants beta firmware
GetFirmwareUpgradesItemProductsWirelessAvailableVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsWirelessCurrentVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsWirelessLastUpgrade
- From
Version GetFirmware Upgrades Item Products Wireless Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Wireless Last Upgrade To Version - Details of the version the device upgraded to
- From
Version GetFirmware Upgrades Item Products Wireless Last Upgrade From Version - Details of the version the device upgraded from
- Time string
- Timestamp of the last successful firmware upgrade
- To
Version GetFirmware Upgrades Item Products Wireless Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Wireless Last Upgrade From Version - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Wireless Last Upgrade To Version - Details of the version the device upgraded to
- from
Version GetFirmware Upgrades Item Products Wireless Last Upgrade From Version - Details of the version the device upgraded from
- time string
- Timestamp of the last successful firmware upgrade
- to
Version GetFirmware Upgrades Item Products Wireless Last Upgrade To Version - Details of the version the device upgraded to
- from_
version GetFirmware Upgrades Item Products Wireless Last Upgrade From Version - Details of the version the device upgraded from
- time str
- Timestamp of the last successful firmware upgrade
- to_
version GetFirmware Upgrades Item Products Wireless Last Upgrade To Version - Details of the version the device upgraded to
- from
Version Property Map - Details of the version the device upgraded from
- time String
- Timestamp of the last successful firmware upgrade
- to
Version Property Map - Details of the version the device upgraded to
GetFirmwareUpgradesItemProductsWirelessLastUpgradeFromVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsWirelessLastUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemProductsWirelessNextUpgrade
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Wireless Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- Time string
- Timestamp of the next scheduled firmware upgrade
- To
Version GetFirmware Upgrades Item Products Wireless Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Wireless Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time string
- Timestamp of the next scheduled firmware upgrade
- to
Version GetFirmware Upgrades Item Products Wireless Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time str
- Timestamp of the next scheduled firmware upgrade
- to_
version GetFirmware Upgrades Item Products Wireless Next Upgrade To Version - Details of the version the device will upgrade to if it exists
- time String
- Timestamp of the next scheduled firmware upgrade
- to
Version Property Map - Details of the version the device will upgrade to if it exists
GetFirmwareUpgradesItemProductsWirelessNextUpgradeToVersion
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- Firmware string
- Name of the firmware version
- Id string
- Firmware version identifier
- Release
Date string - Release date of the firmware version
- Release
Type string - Release type of the firmware version
- Short
Name string - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
- firmware string
- Name of the firmware version
- id string
- Firmware version identifier
- release
Date string - Release date of the firmware version
- release
Type string - Release type of the firmware version
- short
Name string - Firmware version short name
- firmware str
- Name of the firmware version
- id str
- Firmware version identifier
- release_
date str - Release date of the firmware version
- release_
type str - Release type of the firmware version
- short_
name str - Firmware version short name
- firmware String
- Name of the firmware version
- id String
- Firmware version identifier
- release
Date String - Release date of the firmware version
- release
Type String - Release type of the firmware version
- short
Name String - Firmware version short name
GetFirmwareUpgradesItemUpgradeWindow
- day_
of_ strweek - Day of the week
- hour_
of_ strday - Hour of the day
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
